Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoSFColor Class Reference
[Field classes]

The SoSFColor class is a container for an SbColor value. More...

`#include <Inventor/fields/SoSFColor.h>`

Inheritance diagram for SoSFColor:

List of all members.

## Public Methods
void | setValue (const SbVec3f &vec)
void | setValue (const float red, const float green, const float blue)
void | setValue (const float rgb[3])
void | setHSVValue (const float h, const float s, const float v)
void | setHSVValue (const float hsv[3])
## Static Public Methods
void | initClass (void)

## Detailed Description

The SoSFColor class is a container for an SbColor value.

This field is used where nodes, engines or other field containers needs to store a single color value (i.e. Red + Green + Blue).

Fields of this type stores their value to file as a "R G B" triple component, where each color component value is between 0.0 and 1.0.

See also:
  SoMFColor

## Member Function Documentation

void SoSFColor::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoSField.

void SoSFColor::setValue | ( | const SbVec3f & | vec | ) |

| Set color value from a vector with three elements. The three elements will be interpreted as red, green and blue, respectively.

void SoSFColor::setValue | ( | const float | red,
|  | const float | green,
|  | const float | blue
| ) |

| Set color value from red, green and blue. Value range for each component is between 0.0 and 1.0.

void SoSFColor::setValue | ( | const float | rgb[3] | ) |

| Set color value from a floating point number array with three elements. The three elements will be interpreted as red, green and blue, respectively.

void SoSFColor::setHSVValue | ( | const float | h,
|  | const float | s,
|  | const float | v
| ) |

| Set color value from h, s and v, where is "hue", s is "saturation" and v is "value".

void SoSFColor::setHSVValue | ( | const float | hsv[3] | ) |

| Set color value from a floating point number array with three elements. The three elements will be interpreted as hue, saturation and value, respectively.

The documentation for this class was generated from the following files:

- SoSFColor.h
- SoSFColor.cpp